Virtual Numbers

A SIP-based number that routes calls to an offer without using a real telephone line.

GET /virtual_numbers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/virtual_numbers

List Virtual Number records.

List the virtual (pseudo) numbers in your account, with filtering and pagination.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • description
  • context_menu_name
  • company_id
  • number
  • trackdrive_number_id
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /virtual_numbers/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/virtual_numbers/new

Build Virtual Number with defaults.

Return a new, unsaved virtual number pre-filled with defaults.

Params

Param name Description
number
Optional Blank value allowed

Number

  • Must be a String

POST /virtual_numbers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/virtual_numbers

Create Virtual Number.

Create a virtual number and assign it to an offer, ring pool, or traffic source. Trackdrive generates the underlying dialable number for it asynchronously after creation.

Params

Param name Description
number
Required

Number

  • Must be a String

offer_id
Required

Refer to the offer api for details

ring_pool_id
Optional Blank value allowed

Refer to the Number Pool api for details

traffic_source_id
Optional Blank value allowed

Refer to the traffic source api for details

description
Optional Blank value allowed

Translation missing: en.api.description

  • Must be a String

GET /virtual_numbers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/virtual_numbers/:id

Get Virtual Number by id.

Retrieve a single virtual number by id.

DELETE /virtual_numbers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/virtual_numbers/:id

Destroy Virtual Number by id.

Permanently delete a virtual number. Fails if the number is associated with a Voice Agent.